@echo off

rem LOG_LEVEL
rem   0  Only fatal error messages
rem   1  Description of the current process
rem   2  Solvers iterations are shown (default)
set LOG_LEVEL=2

rem SOLVER_TYPE
rem Chooses solver for all session
rem   1  Conjugate gradient (default)
rem   2  Cholesky decomposition
rem   3  Cholesky2 decomposition
rem   4  Biconjugate gradient
rem   5  LU decomposition
set SOLVER_TYPE=1

rem SOLVER_THREADS
rem Sets the maximum number of threads used by solvers
set SOLVER_THREADS=1

rem SOLVER_TOLERANCE
rem For iterative solvers, this defines the convergence criteria
set SOLVER_TOLERANCE=1e-5

rem SOLVER_MAX_STEPS
rem For iterative solvers, it is the maximum number of iterations allowed
set SOLVER_MAX_STEPS=10000

rem PRECONDITIONER_TYPE
rem For iterative solvers.
rem   0=None
rem   1=Jacobi (default)
rem   2=Incomplete_Cholesky (Only for Conjugate gradient)
rem   3=Incomplete_Cholesky2 (Only for Conjugate gradient)
rem   4=Incomplete_LU (Only for Biconjugate gradient)
rem   5=Sparse_Approximate_Inverse
set PRECONDITIONER_TYPE=1

rem PRECONDITIONER_LEVEL
rem Set the preconditioner level for Incomplete_Cholesky, Incomplete_Cholesky2, Incomplete_LU and Sparse_Approximate_Inverse
set PRECONDITIONER_LEVEL=1

rem PRECONDITIONER_THRESHOLD
rem Set the preconditioner threshold for Sparse_Approximate_Inverse
set PRECONDITIONER_THRESHOLD=0.0

rem DOMAIN_DECOMPOSITION_METHOD
rem Choose the domain decomposition method to use
rem   1=Schwarz_alternating
rem   2=Reaction_alternating
set DOMAIN_DECOMPOSITION_METHOD=1

rem DECOMPOSITION_THREADS
rem Set the number of threads used to assemble data for slave processes
set DECOMPOSITION_THREADS=1

rem GLOBAL_TOLERANCE
rem Tolerance for global convergence of the domain decomposition method
set GLOBAL_TOLERANCE=1e-5

rem UPDATE_FACTOR
rem Defines a weight for update boundary values
set UPDATE_FACTOR=0.9

rem SCHWARZ_ALTERNATING_OVERLAPPING
rem Defines the number of layers of overlapping among partitions
set SCHWARZ_ALTERNATING_OVERLAPPING=2

set named_pipe_data="\\.\pipe\FEMData"
set named_pipe_result="\\.\pipe\FEMResult"

rem PROCESSES
set processes=3

mpiexec -envlist LOG_LEVEL,SOLVER_TYPE,SOLVER_THREADS,SOLVER_TOLERANCE,SOLVER_MAX_STEPS,PRECONDITIONER_TYPE,PRECONDITIONER_LEVEL,PRECONDITIONER_THRESHOLD,DOMAIN_DECOMPOSITION_METHOD,DECOMPOSITION_THREADS,GLOBAL_TOLERANCE,UPDATE_FACTOR,SCHWARZ_ALTERNATING_OVERLAPPING -n %processes% FEMSolver.MPI %named_pipe_data% %named_pipe_result%
